Skip to content
Dashboard

Start task (async)

POST/agent/tasks

Starts an agent task and returns a task_id immediately.

Body ParametersJSONExpand Collapse
agent_type: optional string
environment_id: optional string
instruction: optional string
kind: optional "desktop" or "browser"
One of the following:
"desktop"
"browser"
max_steps: optional number
model: optional string
persistent: optional boolean
screenshot_mode: optional "url" or "base64"
One of the following:
"url"
"base64"
temperature: optional number
viewport_height: optional number
viewport_width: optional number
ReturnsExpand Collapse
status: optional string
task_id: optional string

Start task (async)

curl https://api.tzafon.ai/agent/tasks \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $TZAFON_API_KEY" \
    -d '{}'
{
  "status": "status",
  "task_id": "task_id"
}
Returns Examples
{
  "status": "status",
  "task_id": "task_id"
}